#cmgui script to view deformation

sub setupgroup {
  my $group = shift;
  my $material = shift;
  my $vis = shift;
  my $coord = shift
  #my $glyph = shift;
  gfx modify g_element $group general clear circle_discretization 6 default_coordinate $coord element_discretization "10*10*10" native_discretization none;
  gfx modify g_element $group lines select_on material default selected_material default_selected;
  #gfx modify g_element $group element_points glyph point general size "1*1*1" centre 0,0,0 label cmiss_number use_elements cell_centres discretization "1*1*1" native_discretization NONE select_on material default selected_material default_selected;
  gfx modify g_element $group element_points glyph point general size "1*1*1" centre 0,0,0 use_elements cell_centres discretization "1*1*1" native_discretization NONE select_on material default selected_material default_selected;
  #gfx modify g_element $group cylinders constant_radius 0.3 select_on material default selected_material default_selected;
  gfx modify g_element $group node_points glyph point label cmiss_number general size "1*1*1" centre 0,0,0 select_on material $material selected_material default_selected;
  #gfx modify g_element $group data_points glyph sphere general size "1*1*1" centre 0,0,0 select_on material $material selected_material default_selected;
  gfx modify g_element $group surfaces select_on material $material selected_material default_selected render_wireframe;
  gfx set vis $group $vis;
}

# # intial mesh
$name = "initial";
gfx read node $name;
gfx read elem $name;
setupgroup( $name , "white", "on", "coordinates");

# # intial error
# gfx read data collapse_initial_error
# setuperrordata("collapse_initial_error", "on");

# data
#gfx read data collapse;
#gfx modify g_element collapse data_points glyph point general size "1*1*1" centre 0,0,0 select_on material white selected_material default_selected;

# deformed mesh
#$name = "sheared2Elem_unitCube";
$name = "deformed";
gfx read node $name;
gfx read elem $name;
setupgroup( $name , "green", "on", "deformed");

# # fitted error
# gfx read data collapse_fitted_error
# setuperrordata("collapse_fitted_error", "on");

gfx cre win;
gfx edit scene;
gfx mod win 1 layout width 800 height 700;

#gfx cre axes len 1 origin 0 0 0
gfx cre axes len 0.5 origin -0.1 -0.1 -0.1
gfx draw axes




